//Betöltjük a node modulokat
var express = require( 'express' );
var request = require( 'request' );

//Betöltjük az index modult, amely a megfelelő
//sablon paramétereket kicseréli
var index = require('./index.js');

// Az adatbázis modul (couchDB), adatbázis neve: test
var db = require( 'cdb' ).init( 'test' );

// Az adatokat feldolgozó modul
var data = require( './data.js' );

//Az express modul segítségével létrehozzuk 
var app = module.exports = express.createServer();

//Konfigurálás
app.configure(
    function()
    {
        app.set( 'views', __dirname + '/views' );
        app.set( 'view engine', 'hbs' );
        app.use( express.bodyParser() );
        app.use( express.methodOverride() );
        app.use( express.cookieParser() );
        app.use( express.session( { secret: 'keyboard cat' } ) );
        app.use( app.router );
        app.use( express.static( __dirname + '/../webui' ) );
    }
);

//Development üzemmód
app.configure(
    'development',
    function()
    {
        app.use(
            express.errorHandler(
                {
                    dumpExceptions: true,
                    showStack: true
                }
            )
        );
    }
);

//A '/' path hívásakor az index.index függvény hívódik meg
app.get( '/', index.index );
// A '/data' path hívásakor a data.get függvény hívódik meg
app.get( '/data',data.get );
//Beállítjuk, hogy a szerver figyeljen a 12121-es porton.
app.listen( 12121 );
console.log( "Express server listening on port %d in %s mode",
    app.address().port, app.settings.env );
